Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.notification.topics.impl
Class ConcretePathExpression

    java.lang.Object
      org.apache.muse.ws.notification.topics.impl.ConcretePathExpression

All Implemented Interfaces:
  TopicPathExpression

public class ConcretePathExpression
extends java.lang.Object
implements TopicPathExpression

ConcretePathExpression allows users to evaluate simple and concrete topic expressions, as defined by WS-Topics v1.3. This class cannot evaluate paths with wildcards ('full' expressions).

Author:
  Dan Jemiolo (danj)

Constructor Summary
`ConcretePathExpression(Topic topic)`
`ConcretePathExpression(TopicNamespace topicSpace, QName topicPath)`
`ConcretePathExpression(TopicSet topics, QName topicPath)`

Method Summary
`QName` | `getTopicPath()`
`TopicNamespace` | `getTopicSpace()`
`java.util.ListIterator` | `iterator()`
`Topic` | `resolve()` Evaluates the topic path and finds the Topic it represents.
`static void` | `validateTopicPath(QName topicPath)` Validates the given topic name against the rules for concrete topic expressions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcretePathExpression

    public ConcretePathExpression(Topic topic)

### ConcretePathExpression

    public ConcretePathExpression(TopicNamespace topicSpace,
                                  QName topicPath)
                           throws InvalidTopicExpressionFault

### ConcretePathExpression

    public ConcretePathExpression(TopicSet topics,
                                  QName topicPath)
                           throws InvalidTopicExpressionFault

Method Detail

### getTopicPath

    public QName getTopicPath()

  Specified by:
    `getTopicPath` in interface `TopicPathExpression`
  Returns:
    That path that will be resolved by this expression.

### getTopicSpace

    public TopicNamespace getTopicSpace()

  Specified by:
    `getTopicSpace` in interface `TopicPathExpression`
  Returns:
    The TopicNamespace against which the path will be resolved.

### iterator

    public java.util.ListIterator iterator()

  Specified by:
    `iterator` in interface `TopicPathExpression`
  Returns:
    An iterator that allows the user to view each section of the topic path (the strings in between each '/').

### resolve

    public Topic resolve()

  Description copied from interface: `TopicPathExpression`
  Evaluates the topic path and finds the Topic it represents.

  Specified by:
    `resolve` in interface `TopicPathExpression`
  Returns:
    The SimpleTopic that is represented by the path, or null if no such SimpleTopic exists.

### validateTopicPath

    public static void validateTopicPath(QName topicPath)
                                  throws InvalidTopicExpressionFault

  Validates the given topic name against the rules for concrete topic expressions.

  Throws:
    `InvalidTopicExpressionFault` -
    - If the expression violates the rules for concrete topic expressions as outlined in WS-Topics v1.3.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD